Bug 146505 - [patch] textproc/mdocml: invoke su(1) in pre-install
Summary: [patch] textproc/mdocml: invoke su(1) in pre-install
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ulrich Spörlein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-12 01:00 UTC by swell.k
Modified: 2010-05-24 16:16 UTC (History)
0 users

See Also:


Attachments
a.diff (523 bytes, patch)
2010-05-12 01:00 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-05-12 01:00:10 UTC
I'm not sure if pre-install target is still required. Looking into
1.9.23 distfile:

    EXAMPLEDIR      = $(PREFIX)/share/examples/mandoc
    ...
    install:
            mkdir -p $(EXAMPLEDIR)

How-To-Repeat: $ make install
===>  Installing for mdocml-1.9.23
mkdir: /usr/pkg/share/examples/mandoc: Permission denied
*** Error code 1
Comment 1 Edwin Groothuis freebsd_committer 2010-05-12 01:00:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->uqs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-05-21 16:20:06 UTC
uqs         2010-05-21 15:19:52 UTC

  FreeBSD ports repository (src committer)

  Modified files:
    textproc/mdocml      Makefile distinfo 
  Log:
  Update to 1.9.25
  
  Also fix 'make install' started by non-root user.
  
  PR:             ports/146505
  Submitted by:   swell.k at gmail.com
  
  Revision  Changes    Path
  1.15      +1 -4      ports/textproc/mdocml/Makefile
  1.14      +3 -3      ports/textproc/mdocml/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ulrich Spörlein freebsd_committer 2010-05-24 16:16:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!